<template>
  <section class="px-4">
    <div class="py-4 flex justify-between border-b border-900">
      <span class="font-semibold text-xl base:text-lg small:text-base"
        >Pesanan</span
      >
      <a href="/category">
        <button class="font-semibold text-400 text-base base:text-sm">
          + Tambah Pesanan
        </button>
      </a>
    </div>
    <div v-for="(data, index) in cart" :key="index" class="pt-4 w-full">
      <div class="flex w-full">
        <button @click="remove(index)" class="mr-5 base:mr-3">
          <svg
            width="21"
            height="22"
            viewBox="0 0 24 25"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M12.0391 2.5C6.54648 2.5 2 6.96836 2 12.4609C2 17.9535 6.54648 22.5 12.0391 22.5C17.5316 22.5 22 17.9535 22 12.4609C22 6.96836 17.5316 2.5 12.0391 2.5ZM16.9695 15.734C17.4266 16.191 17.4266 16.9344 16.9695 17.3918C16.516 17.8449 15.7727 17.8523 15.3117 17.3918L12.0391 14.118L8.68789 17.3922C8.23086 17.8492 7.4875 17.8492 7.03008 17.3922C6.57305 16.9352 6.57305 16.1918 7.03008 15.7344L10.3035 12.4609L7.03008 9.1875C6.57305 8.73008 6.57305 7.98672 7.03008 7.52969C7.4875 7.07266 8.23086 7.07266 8.68789 7.52969L12.0391 10.8039L15.3117 7.52969C15.768 7.07344 16.5113 7.07187 16.9695 7.52969C17.4266 7.98672 17.4266 8.73008 16.9695 9.1875L13.6961 12.4609L16.9695 15.734Z"
              fill="#CCCCCC"
            />
          </svg>
        </button>
        <div class="flex flex-col justify-between w-full">
          <p class="text-sm base:text-xs font-normal leading-5">
            {{
              data.products
                .map((d) => {
                  return d.title;
                })
                .values()
                .next().value
            }}
          </p>
          <div class="flex mt-1 justify-between w-full">
            <p class="text-base base:text-sm font-semibold leading-6">
              ${{
                data.products
                  .map((d) => {
                    return d.total;
                  })
                  .values()
                  .next().value
              }}
            </p>
            <div class="flex items-center">
              <button @click="decrement(data, index)">
                <svg
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                  fill="none"
                  class="base:w-[20px] base:h-[20px]"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M0.5 12C0.5 5.64873 5.64873 0.5 12 0.5C18.3513 0.5 23.5 5.64873 23.5 12C23.5 18.3513 18.3513 23.5 12 23.5C5.64873 23.5 0.5 18.3513 0.5 12Z"
                    fill="white"
                    stroke="#03AC0E"
                  />
                  <path
                    d="M7.46436 12.4286C7.46436 12.6085 7.53585 12.7811 7.6631 12.9084C7.79036 13.0357 7.96296 13.1071 8.14293 13.1071H15.8572C16.0372 13.1071 16.2098 13.0357 16.337 12.9084C16.4643 12.7811 16.5358 12.6085 16.5358 12.4286C16.5358 12.2486 16.4643 12.076 16.337 11.9487C16.2098 11.8215 16.0372 11.75 15.8572 11.75H8.14293C7.96296 11.75 7.79036 11.8215 7.6631 11.9487C7.53585 12.076 7.46436 12.2486 7.46436 12.4286Z"
                    fill="#03AC0E"
                    stroke="#03AC0E"
                    stroke-width="0.5"
                  />
                </svg>
              </button>
              <p class="ml-6 base:ml-4 text-base font-medium leading-5">
                {{
                  data.products
                    .map((d) => {
                      return d.quantity;
                    })
                    .values()
                    .next().value
                }}
              </p>
              <button @click="increment(data)" class="ml-6 base:ml-4">
                <svg
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                  class="base:w-[20px] base:h-[20px]"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M0 12C0 5.37258 5.37258 0 12 0C18.6274 0 24 5.37258 24 12C24 18.6274 18.6274 24 12 24C5.37258 24 0 18.6274 0 12Z"
                    fill="#03AC0E"
                  />
                  <path
                    d="M13.0119 8.47619C13.0119 8.28359 12.9354 8.09888 12.7992 7.9627C12.663 7.82651 12.4783 7.75 12.2857 7.75C12.0931 7.75 11.9084 7.82651 11.7722 7.9627C11.636 8.09888 11.5595 8.28359 11.5595 8.47619V11.5595H8.47619C8.28359 11.5595 8.09888 11.636 7.9627 11.7722C7.82651 11.9084 7.75 12.0931 7.75 12.2857C7.75 12.4783 7.82651 12.663 7.9627 12.7992C8.09888 12.9354 8.28359 13.0119 8.47619 13.0119H11.5595V16.0952C11.5595 16.2878 11.636 16.4725 11.7722 16.6087C11.9084 16.7449 12.0931 16.8214 12.2857 16.8214C12.4783 16.8214 12.663 16.7449 12.7992 16.6087C12.9354 16.4725 13.0119 16.2878 13.0119 16.0952V13.0119H16.0952C16.2878 13.0119 16.4725 12.9354 16.6087 12.7992C16.7449 12.663 16.8214 12.4783 16.8214 12.2857C16.8214 12.0931 16.7449 11.9084 16.6087 11.7722C16.4725 11.636 16.2878 11.5595 16.0952 11.5595H13.0119V8.47619Z"
                    fill="white"
                    stroke="white"
                    stroke-width="0.5"
                  />
                </svg>
              </button>
            </div>
          </div>
        </div>
      </div>

      <div
        class="w-full h-px border border-dashed border-white-500 mt-6 mb-2"
      ></div>
    </div>
  </section>
</template>

<script>
export default {
  name: "ListMethod",
  props: ["remove", "cart", "decrement", "increment"],
};
</script>
